---
title: AnimationEvent.animationName
slug: Web/API/AnimationEvent/animationName
tags:
  - API
  - AnimationEvent
  - CSSOM
  - Experimental
  - Property
  - Reference
  - Web Animations
---
<p>{{SeeCompatTable}}{{ apiref("Web Animations API") }}</p>

<p>The <code><strong>AnimationEvent.animationName</strong></code> read-only property is a {{domxref("DOMString")}} containing the value of the {{cssxref("animation-name")}} CSS property associated with the transition.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>name</em> = <em>AnimationEvent</em>.animationName</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSS3 Animations', '#dom-animationevent-animationname', 'AnimationEvent.animationName') }}</td>
   <td>{{ Spec2('CSS3 Animations')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AnimationEvent.animationName")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/CSS/Using_CSS_animations">Using CSS animations</a></li>
 <li>Animation-related CSS properties and at-rules: {{cssxref("animation")}}, {{cssxref("animation-delay")}}, {{cssxref("animation-direction")}}, {{cssxref("animation-duration")}}, {{cssxref("animation-fill-mode")}}, {{cssxref("animation-iteration-count")}}, {{cssxref("animation-name")}}, {{cssxref("animation-play-state")}}, {{cssxref("animation-timing-function")}}, {{cssxref("@keyframes")}}.</li>
 <li>The {{domxref("AnimationEvent")}} interface it belongs to.</li>
</ul>
